local ADDON_NAME = "SoulGemNotifier"

local function OnAddOnLoaded(_, addOnName)
	if addOnName == ADDON_NAME then
		-- Output Message
		local chat
		if LibChatMessage then
			chat = LibChatMessage(ADDON_NAME, "SGN")
		else
			chat = {}
		end
		if not chat.Print then
			chat.Print = function(self, message) df("[%s] %s", ADDON_NAME, message) end
		end

		-- Events
		local function OnInventorySingleSlotUpdate(_, bagId, slotIndex)
			if IsItemSoulGem(SOUL_GEM_TYPE_FILLED , bagId, slotIndex) then
				local icon = GetItemInfo(bagId, slotIndex)
				chat:Print(zo_strformat(SI_SOUL_GEM_NOTIFIER_FILLED, zo_iconFormat(icon, "100%", "100%")))
			end
		end
		EVENT_MANAGER:RegisterForEvent(ADDON_NAME, EVENT_INVENTORY_SINGLE_SLOT_UPDATE, OnInventorySingleSlotUpdate)
		EVENT_MANAGER:AddFilterForEvent(ADDON_NAME, EVENT_INVENTORY_SINGLE_SLOT_UPDATE, REGISTER_FILTER_BAG_ID, BAG_BACKPACK)
		EVENT_MANAGER:AddFilterForEvent(ADDON_NAME, EVENT_INVENTORY_SINGLE_SLOT_UPDATE, REGISTER_FILTER_IS_NEW_ITEM, true)
		EVENT_MANAGER:AddFilterForEvent(ADDON_NAME, EVENT_INVENTORY_SINGLE_SLOT_UPDATE, REGISTER_FILTER_INVENTORY_UPDATE_REASON, INVENTORY_UPDATE_REASON_DEFAULT)
	end
end
EVENT_MANAGER:RegisterForEvent(ADDON_NAME, EVENT_ADD_ON_LOADED, OnAddOnLoaded)